---
title: "Immoweb API: Locations | Perceptlayer"
description: "Locations from Immoweb as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/immoweb/locations
---

[APIs](https://perceptlayer.com/apis) / [Immoweb](https://perceptlayer.com/apis/immoweb) / Locations

# Immoweb: Locations

Locations from Immoweb as JSON. 1 credit per successful call.

GET `/v1/immoweb/locations`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `input` | string | Required | Up to 100 characters |
| `language` | string | Optional | nl, fr, en |
| `types` | string | Optional | DISTRICT, LOCALITY\_NAME, POSTAL\_CODE, PROVINCE, REGION, COUNTRY |
| `maxResults` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/immoweb/locations?input=Gent&language=nl" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/immoweb?try=locations#playground) with your own parameters. 1 credit per successful call; failed calls are free.
